using System;

internal sealed class Delegate503 : MulticastDelegate
{
	public extern bool? Invoke(object object_0);

	public static bool? smethod_0(object object_0, Delegate503 delegate503_1)
	{
		return delegate503_1(object_0);
	}

	public extern Delegate503(object object_0, IntPtr intptr_0);

	static Delegate503()
	{
		Class10.smethod_13(typeof(Delegate503).TypeHandle);
	}

	internal static Delegate503 delegate503_0;
}
